#! /bin/csh -f 

set curr_dir = /autofs/space/pgolland_001/users/ythomas/caret_scripts/fs2caret/test_fs_caret_projection/
set caret_dir = /autofs/space/pgolland_001/users/ythomas/caret_scripts/fs2caret/
set fsaverage = /autofs/space/pgolland_001/users/ythomas/caret_scripts/fsaverage/

foreach hemi (lh rh)

    # convert file to caret format
    set cmd = "caret_command -file-convert -fsc2c fsaverage/surf/$hemi.sulc.asc fsaverage/surf/$hemi.pial.asc $hemi.freesurfersulc.surface_shape"
    echo $cmd
    eval $cmd

    # deform file
    set cmd = "caret_command -deformation-map-apply ./FSaverage-to-PALS.$hemi.163842.deform_map SURFACE_SHAPE $hemi.freesurfersulc.surface_shape $hemi.freesurfersulc.PALS.surface_shape"
    echo $cmd
    eval $cmd
end
